LibOFX: OfxAccountData Struct Reference

- Main Page
- Namespaces
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# OfxAccountData Struct Reference

## Detailed Description

An abstraction of an account.

The OfxAccountData structure gives information about a specific account, including it's type, currency and unique id.

When an OfxAccountData must be passed to functions which create OFX requests related to a specific account, it must contain all the info needed for an OFX request to identify an account. That is: account_type, account_number, bank_id and branch_id

Definition at line 247 of file inc/libofx.h.

## OFX mandatory elements
The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them.
enum | AccountType { OFX_CHECKING, OFX_SAVINGS, OFX_MONEYMRKT, OFX_CREDITLINE, OFX_CMA, OFX_CREDITCARD, OFX_INVESTMENT, OFX_CHECKING, OFX_SAVINGS, OFX_MONEYMRKT, OFX_CREDITLINE, OFX_CMA, OFX_CREDITCARD, OFX_INVESTMENT }
char | account_id [OFX_ACCOUNT_ID_LENGTH]
char | account_name [OFX_ACCOUNT_NAME_LENGTH]
int | account_id_valid
enum OfxAccountData::AccountType | account_type
int | account_type_valid
char | currency [OFX_CURRENCY_LENGTH]
int | currency_valid
char | account_number [OFX_ACCTID_LENGTH]
int | account_number_valid
char | bank_id [OFX_BANKID_LENGTH]
int | bank_id_valid
char | broker_id [OFX_BROKERID_LENGTH]
int | broker_id_valid
char | branch_id [OFX_BRANCHID_LENGTH]
int | branch_id_valid
## OFX mandatory elements
The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them.
enum | AccountType { OFX_CHECKING, OFX_SAVINGS, OFX_MONEYMRKT, OFX_CREDITLINE, OFX_CMA, OFX_CREDITCARD, OFX_INVESTMENT, OFX_CHECKING, OFX_SAVINGS, OFX_MONEYMRKT, OFX_CREDITLINE, OFX_CMA, OFX_CREDITCARD, OFX_INVESTMENT }
enum OfxAccountData::AccountType | account_type

## Member Enumeration Documentation

enum OfxAccountData::AccountType

account_type tells you what kind of account this is. See the AccountType enum

Enumerator:

  OFX_CHECKING | A standard checking account
  OFX_SAVINGS | A standard savings account
  OFX_MONEYMRKT | A money market account
  OFX_CREDITLINE | A line of credit
  OFX_CMA | Cash Management Account
  OFX_CREDITCARD | A credit card account
  OFX_INVESTMENT | An investment account
  OFX_CHECKING | A standard checking account
  OFX_SAVINGS | A standard savings account
  OFX_MONEYMRKT | A money market account
  OFX_CREDITLINE | A line of credit
  OFX_CMA | Cash Management Account
  OFX_CREDITCARD | A credit card account
  OFX_INVESTMENT | An investment account

Definition at line 269 of file inc/libofx.h.

enum OfxAccountData::AccountType

account_type tells you what kind of account this is. See the AccountType enum

Enumerator:

  OFX_CHECKING | A standard checking account
  OFX_SAVINGS | A standard savings account
  OFX_MONEYMRKT | A money market account
  OFX_CREDITLINE | A line of credit
  OFX_CMA | Cash Management Account
  OFX_CREDITCARD | A credit card account
  OFX_INVESTMENT | An investment account
  OFX_CHECKING | A standard checking account
  OFX_SAVINGS | A standard savings account
  OFX_MONEYMRKT | A money market account
  OFX_CREDITLINE | A line of credit
  OFX_CMA | Cash Management Account
  OFX_CREDITCARD | A credit card account
  OFX_INVESTMENT | An investment account

Definition at line 269 of file libofx-0.9.1/inc/libofx.h.

## Field Documentation

char OfxAccountData::account_id

The account_id is actually built from <BANKID><BRANCHID><ACCTID> for a bank account, and <ACCTID><ACCTKEY> for a credit card account. account_id is meant to be computer-readable. It is a worldwide OFX unique identifier wich can be used for account matching, even in system with multiple users.

Definition at line 259 of file inc/libofx.h.

Referenced by OfxTransactionContainer::add_account(), OfxStatementContainer::add_account(), and ofx_proc_account_cb().

char OfxAccountData::account_name

The account_id_name is a string meant to allow the user to identify the account. Currently it is <ACCTID> for a bank account and a credit card account an <BROKERID>:<ACCTID> for investment accounts. account_id_name is not meant to be computer-readable and is not garanteed to be unique.

Definition at line 265 of file inc/libofx.h.

Referenced by ofx_proc_account_cb().

enum OfxAccountData::AccountType OfxAccountData::account_type

account_type tells you what kind of account this is. See the AccountType enum

Referenced by OfxAccountContainer::add_attribute(), OfxStatementRequest::BankStatementRequest(), ofx_proc_account_cb(), ofx_proc_statement_cb(), OfxPaymentRequest::OfxPaymentRequest(), and OfxStatementRequest::OfxStatementRequest().

char OfxAccountData::currency

The currency is a string in ISO-4217 format

Definition at line 279 of file inc/libofx.h.

Referenced by ofx_proc_account_cb().

char OfxAccountData::account_number

Corresponds to OFX <ACCTID>

Definition at line 283 of file inc/libofx.h.

Referenced by OfxAccountContainer::add_attribute(), OfxStatementRequest::BankStatementRequest(), OfxStatementRequest::CreditCardStatementRequest(), OfxStatementRequest::InvestmentStatementRequest(), ofx_proc_account_cb(), and OfxPaymentRequest::OfxPaymentRequest().

char OfxAccountData::bank_id

Corresponds to OFX <BANKID>

Definition at line 287 of file inc/libofx.h.

Referenced by OfxAccountContainer::add_attribute(), OfxStatementRequest::BankStatementRequest(), ofx_proc_account_cb(), and OfxPaymentRequest::OfxPaymentRequest().

enum OfxAccountData::AccountType OfxAccountData::account_type

account_type tells you what kind of account this is. See the AccountType enum

The documentation for this struct was generated from the following files:

- inc/libofx.h
- libofx-0.9.1/inc/libofx.h